# Get information about a transaction Allows you to obtain information about a previously generated Payouts transaction based on its "id". That is, you will be able to consult information about a money out transaction by providing the identification number that was assigned to it in the response to its creation. **GET** `/v1/transaction-intents/{id}` ## Request parameters ### Path - `id` (string, required) Identifier of the transaction for which you wish to consult, returned in the response to its creation within the "id" field ## Response parameters - `created_date` (string, optional) Transaction creation date. - `external_reference` (string, optional) Transaction external reference, generated by the integrator when it was created. - `id` (string, optional) Unique transaction identifier, automatically generated. - `last_updated_date` (string, optional) Transaction's status update date. - `point_of_interaction` (object, optional) - `point_of_interaction.type` (string, optional) Point of interaction. It is a fix value, always {"type":"PSP_TRANSFER"} - `seller_configuration` (object, optional) Object containing settings of the user performing the transaction. - `seller_configuration.notification_info` (object, optional) - `seller_configuration.notification_info.notification_url` (string, optional) URL available to receive notifications of events related to the transaction, such as changes in its status. - `status` (string, optional) Transaction's current status. Possible enum values: - `approved` A transaction was created, but has not been processed yet. It is an intermediate status. - `error` When an error occurs during the transaction process and it is not possible to credit the amount to the destination account. - `processed` The transaction processing was made successfully. - `refunded` The transaction was totally refunded by the destination bank. - `rejected` The transaction was rejected. You can check the reasons in the "to.accounts.status_detail" field. - `success` The transaction has been credited to the destination account or the crediting is in progress. - `transaction_in_process` The transaction is in process, pending final status, and awaiting authorization. - `transaction` (object, optional) Object that contains information about the transaction. - `transaction.from` (object, optional) Object that contains information about the transaction's origin account. - `transaction.from.accounts` (array, optional) - `transaction.from.accounts[].amount` (number, optional) Amount debited from the Mercado Pago origin account. - `transaction.paid_amount` (number, optional) Total amount charged to the origin account holder. Its value will be equal to "from.accounts.amount", unless there has been a full or partial refund, indicated in "refunded_amount". - `transaction.payer` (object, optional) Information corresponding to the origin account holder. - `transaction.payer.id` (number, optional) Identifier of the integrator holder of the origin account. - `transaction.refunded_amount` (number, optional) In case of a refund, it will indicate the total amount refunded to the holder of the origin account. If there was no refund, its value will be 0. - `transaction.to` (object, optional) Object that contains information about the transaction's destination account. - `transaction.to.accounts` (array, optional) - `transaction.to.accounts[].amount` (number, optional) Amount transferred to the destination account. Its value will be equal to "from.accounts.amount", unless there has been a full or partial refund indicated in the "to.accounts.status_detail" field. - `transaction.to.accounts[].origin_id` (string, optional) Identifier that allows the transaction to be tracked within the banking system. - `transaction.to.accounts[].status_details` (array, optional) Detailed information about the status of the operation. - `transaction.to.accounts[].status_details[].approved` (string, optional) The transaction processing was made successfully. - `transaction.to.accounts[].status_details[].partially_refunded` (string, optional) The transaction was partially refunded by the destination bank. - `transaction.to.accounts[].status_details[].pending_authorized` (string, optional) The transaction is in process, pending authorization. - `transaction.to.accounts[].status_details[].pending_bank` (string, optional) The transaction is in process, pending by bank. - `transaction.to.accounts[].status_details[].refunded` (string, optional) The transaction was totally refunded by the destination bank. - `transaction.to.accounts[].status_details[].by_bank` (string, optional) The transaction was rejected by the destination bank. - `transaction.to.accounts[].status_details[].by_provider` (string, optional) The transaction was rejected by the provider. - `transaction.to.accounts[].status_details[].high_risk` (string, optional) The transaction is rejected due to risk of fraud. - `transaction.to.accounts[].status_details[].insufficient_funds` (string, optional) The transaction is rejected due to insufficient funds in the origin account. - `transaction.to.accounts[].status_details[].other_reason` (string, optional) The transaction is rejected by default due to internal problems during processing. - `transaction.to.accounts[].status_details[].review_manual` (string, optional) The transaction is rejected and sent to fraud prevention for analysis. - `transaction.to.accounts[].status_details[].failed` (string, optional) An error occurred during the transaction process and it was not possible to credit the amount to the destination account. - `transaction.to.accounts[].status_details[].accredited` (string, optional) The transaction has been credited to the destination account. - `transaction.to.accounts[].status_details[].in_progress` (string, optional) The transaction crediting is in progress, not yet in the destination account. - `transaction.to.accounts[].owner` (object, optional) Destination account holder information. - `transaction.to.accounts[].owner.identification` (object, optional) Information corresponding to the identification documentation of the destination account holder. - `transaction.to.accounts[].owner.identification.number` (number, optional) The number refers to the identifier of the destination account holder. - `transaction.to.accounts[].owner.identification.type` (string, optional) Refers to the type of identification. - `transaction.to.accounts[].bank_id` (number, optional) Identification number of the bank to which the destination account belongs. - `transaction.to.accounts[].type` (string, optional) Destination account type. The possible values are "current" (bank accounts) and "mercadopago" (Mercado Pago accounts). - `transaction.to.accounts[].number` (number, optional) Unique number that represents the destination bank account. - `transaction.total_amount` (number, optional) Total amount of the transaction. - `transaction.statement_descriptor` (string, optional) Additional message to add to the transaction. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | ID format invalid | The ID format in the path is invalid | | 400 | invalid_payout_id | The payout was not found. Check if the reported ID is correct. | | 400 | invalid_transaction_id | The transaction was not found. Check if the reported ID is correct. | | 400 | Client not allowed | The client ID associated with the credentials is not allowed to make the request. | | 400 | Financial identity not found | Financial identity not found. Check the "to.accounts.bank_id" field. | | 400 | Many Requests | Too many requests has been made. Wait and try again. | | 400 | Rate Limit | The consultation service reached the rpm limit in order not to exceed the limit allowed by Bacen and not receive fines. | | 400 | Unauthorized | The request is unauthorized. | | 401 | invalid_token | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 403 | forbidden | No permission to access the resource. | | 404 | not_found | Transaction not found. Please check if you provided the correct transaction ID. | | 424 | Resource locked | The rate limit service is processing the integrator's consumption of our API. | | 500 | internal_server_error | An unexpected error occurred on the server. Try the request again. | | 502 | bad_gateway | An error occurred in the integration with an external service. Try the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/transaction-intents/{id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "created_date": "2021-01-01T00:00:00.000Z", "external_reference": "123456", "id": "0d5020ed", "last_updated_date": "2021-01-01T00:00:00.000Z", "point_of_interaction": "{\"type\":\"PSP_TRANSFER\"}", "seller_configuration": { "notification_info": { "notification_url": "https://link-your-webhook-notification.com" } }, "status": "approved", "transaction": { "from": { "accounts": [ { "amount": null } ] }, "paid_amount": "50.00", "payer": { "id": 123456543 }, "refunded_amount": 1, "to": { "accounts": [ { "amount": null, "origin_id": null, "status_details": null, "owner": null, "bank_id": null, "type": null, "number": null } ] }, "total_amount": "50.00", "statement_descriptor": "test" } } ```